org.jboss.jca.core.spi.rar

## Class AlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.jca.core.spi.rar.ResourceAdapterRepositoryException
      - - org.jboss.jca.core.spi.rar.AlreadyExistsException

- All Implemented Interfaces:
    java.io.Serializable

      public class AlreadyExistsException
      extends ResourceAdapterRepositoryException

  AlreadyExistsException is thrown in case the resource adapter already is registered
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlreadyExistsException()` Constructor
    `AlreadyExistsException(java.lang.String message)` Constructor
    `AlreadyExistsException(java.lang.String message, java.lang.Throwable cause)` Constructor
    `AlreadyExistsException(java.lang.Throwable cause)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlreadyExistsException

          public AlreadyExistsException()

      Constructor

    - #### AlreadyExistsException

          public AlreadyExistsException(java.lang.String message)

      Constructor
      Parameters:
        `message` - The exception message

    - #### AlreadyExistsException

          public AlreadyExistsException(java.lang.String message,
                                        java.lang.Throwable cause)

      Constructor
      Parameters:
        `message` - The exception message
        `cause` - The cause of the exception

    - #### AlreadyExistsException

          public AlreadyExistsException(java.lang.Throwable cause)

      Constructor
      Parameters:
        `cause` - The cause of the exception

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)